Skip to main content
`Ctrl`+`K`

# ISLoad

Loads an index set that has been stored in binary or HDF5 format with `ISView()`.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLoad(IS is, PetscViewer viewer)

Collective

## Input Parameters

- is - the newly loaded index set, this needs to have been created with `ISCreate()` or some related function before a call to `ISLoad()`.

- viewer - binary file viewer, obtained from `PetscViewerBinaryOpen()` or HDF5 file viewer, obtained from `PetscViewerHDF5Open()`

## Notes

IF using HDF5, you must assign the IS the same name as was used in `is` that was stored in the file using `PetscObjectSetName()`. Otherwise you will get the error message: “Cannot H5DOpen2() with Vec name NAMEOFOBJECT”

## See Also

`IS`, `PetscViewerBinaryOpen()`, `ISView()`, `MatLoad()`, `VecLoad()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/ksp/ksp/tutorials/ex76f.F90
src/ksp/ksp/tutorials/ex76.c
src/ksp/ksp/tutorials/ex87.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages